<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="cn.com.wasu.main"
    android:versionCode="40302003"
    android:versionName="4.3.2.0.3">

    <uses-feature
        android:name="android.software.leanback"
        android:required="false" />

    <uses-sdk
        android:minSdkVersion="11"
        android:targetSdkVersion="23"
        tools:overrideLibrary="com.wasu.player,com.wgallery.android,com.dd.morphingbutton" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.RAISED_THREAD_PRIORITY" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />

    <application
        android:name="basic.app.TvApp"
        android:allowBackup="true"
        android:hardwareAccelerated="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:persistent="true"
        android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
        tools:replace="android:theme">

        <meta-data
            android:name="TINKER_ID"
            android:value="tinker_id_40302003" />

        <meta-data
            android:name="channelid"
            android:value="${CHANNELID}" />

        <activity
            android:name="com.wasu.cs.ui.ActivityMain"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:exported="true"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityDispatch"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
                <category android:name="android.intent.category.LEANBACK_LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.wasu.openpage" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityNeteaseNews"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityChildren"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityCartoon"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityCartoonStar"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityBrandArea"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityGuide"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityServiceStop"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityRegister"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityWelcome"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityDetail"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:hardwareAccelerated="false"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="com.wasu.fullplay" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityWeb"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:hardwareAccelerated="false"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityOpenApp"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityFavAndHistory"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityUserCenter"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:hardwareAccelerated="false"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityFilter"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityFilmSpecial"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityShortVideoSpecial"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivitySearch"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityPlayer"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:launchMode="singleTask"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="com.wasu.action.play" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityChannel"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityLoopPlayer"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:launchMode="singleTask"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="com.wasu.action.loop.play" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityLivePlayer"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:launchMode="singleTask"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="com.wasu.action.live.play" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityActSpecial"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityColumnDetail"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityColumn"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityFourKSpecial"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="com.wasu.cs.ui.ActivityScreenSaver"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:launchMode="singleTask"
            android:screenOrientation="landscape"

            android:theme="@android:style/Theme.Translucent">
            <intent-filter>
                <action android:name="com.wasu.screensaver" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityTest"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity android:name="com.wasu.cs.ui.ActivityGameVideoCollection" />

        <activity
            android:name="com.wasu.cs.ui.ActivityCNLTVCSModel"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />
        <activity
            android:name="basic.taobaotv.view.ActivityTaobaoTv"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />

        <activity
            android:name="com.wasu.cs.ui.ActivityChildrenAllLike"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityChildrenFav"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityChildrenSong"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityChildrenDetail"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.widget.ActivityLiveVideoView"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />

        <activity
            android:name="com.wasu.cs.ui.ActivityFeiHuCs"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape"></activity>
        <activity
            android:name="com.wasu.cs.ui.ActivityNewFilmSpecial"
            android:configChanges="keyboard|keyboardHidden|navigation|orientation"
            android:screenOrientation="landscape" />

        <service android:name="com.wasu.cs.service.WasuInfoAIDLService">
            <intent-filter>
                <action android:name="wasu.aciton.aidl.WasuInfoService" />
            </intent-filter>
        </service>
        <!--通用无界面启动Activity-->
        <activity android:name="cn.com.wasu.main.WelcomeActivity"></activity>

        <!-- sohu两个服务 -->
        <!--开始 本地代理服务 单独进程 -->
        <service
            android:name="com.sohuott.vod.security.LocaleServerService"
            android:exported="false"
            android:process=":vod_server_service"></service>
        <service
            android:name="com.sohutv.tv.security.ConfigGetService"
            android:exported="false"></service>
        <!-- 结束 本地代理服务 单独进程 -->
        <!-- 为乐视APK提供信息 -->
        <provider
            android:name="com.wasu.cs.provider.Provider4Leshi"
            android:authorities="com.wasutv.provider4leshi"
            android:exported="true"></provider>
    </application>

</manifest>